Bio::MAGETAB::DataFile(3)

NAME
Bio::MAGETAB::DataFile - MAGE-TAB data file class

SYNOPSIS
 use Bio::MAGETAB::DataFile;

DESCRIPTION
This class describes data files having arbitrary formats. Most software-specific data files fall into this category. The sole exception are data matrices; see the DataMatrix class. See the Data class for superclass methods.

ATTRIBUTES

format (required)
    The format of the data file (data type: Bio::MAGETAB::ControlledTerm).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::Data

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).